Bug 49212 - Strange initrd and /
Summary: Strange initrd and /
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-17 00:28 UTC by hjl
Modified: 2007-04-18 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-17 02:39:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description hjl 2001-07-17 00:28:23 UTC
Something strange about initrd with 2.4.6-2. I got

# cat /proc/mounts
/dev/root /initrd ext2 rw 0 0
/dev/root / ext3 rw 0 0
/proc /proc proc rw 0 0
usbdevfs /proc/bus/usb usbdevfs rw 0 0
/dev/sda3 /export ext3 rw 0 0
/dev/sda2 /usr ext3 rw 0 0
/dev/sda5 /var ext3 rw 0 0
none /dev/pts devpts rw 0 0

I don't have the `/initd' entry with 2.4.5-10. Under 2.4.5-10, I got

VFS: Mounted root (ext2 filesystem).
VFS: Mounted root (ext3 filesystem) readonly.
change_root: old root has d_count=2
Trying to unmount old root ... okay

But 2.4.6-2 only gives

VFS: Mounted root (ext2 filesystem).

Comment 1 Bill Nottingham 2001-07-17 02:39:03 UTC
If you're using beta2, the way initrds are done is different. We just mount it
normally, and then use pivot_root to change the root filesystem.

(This makes root-on-ext3 with ext3 modular possible.)

Are you running the beta2 initrscripts that unmounts /initrd?

Comment 2 hjl 2001-07-18 00:00:53 UTC
Ooops. My fault.


Note You need to log in before you can comment on or make changes to this bug.